// C++ Fossil implementation
// V1.1 by G.Iachello 1992 - Public Domain
// Pubblicato nel numero 28 di Telematicus

#include "fossil.hpp"

FossilDriver com1(COM1); // all'atto di istanziazione di com1, il driver
                         // viene automaticamente inizializzato e controllato

// terminale ansi in 20 righe!!!!
// attenzione, di solito il Fossil fornisce l'ANSI solo se e' caricato
// ANSI.SYS
// questo programmino puo' essere usato tranquillamente per comunicare fra
// 2 pc via cavo null-modem  o con il vostro modem/BBS preferita...
void main(void)
{
        com1.EnableCTSRTS();                     // attiva l'handshake CTS/RTS
						 // (non vogliamo trivilita' XON/XOFF :-) )
        com1.SetBaudRate(BR4800);                // 4800 baud (ma chi e' che c'ha un modem a 4800?!?!)
        StatusBits x=com1.StatusRequest();       // richiesta di flag di stato
	printf("Fossil Driver C++ Implementation Demo\n");
        printf("%Fs\n",com1.GetDriverInfo().ID); // stampa la stringa di riconoscimento del driver
	printf("Timer Int: %d \nTicks per sec: %d   Milliseconds per tick: %d\n",com1.GetTimerIntNo(),com1.GetTicksXSec(),com1.GetMsXTick()); // e vari altri dati
	printf("NULLCD=%d,DCD=%d,RDA=%d,OVRN=%d,THRE=%d,TSRE=%d\n",x.NULLCD,x.DCD,x.RDA,x.OVRN,x.THRE,x.TSRE);

        com1.PurgeInputBuffer();                 // sgombera buffers del fossil : e' una ottima abitudine
        com1.PurgeOutputBuffer();                // ve lo assicuro!!

	do {
                if (com1.IsKeybChar()) com1.TxCharNoWait(com1.ReadKeybWait());  // trasmetti tastiera
		if (com1.IsInChar()) com1.WriteAnsiChar(com1.RxCharWait());	// visulizza seriale
	} while (c!=1 );
}

